add_subdirectory( pics  )
add_subdirectory( data  )
add_subdirectory( icons )
add_subdirectory( en    )
add_subdirectory( fr    )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### klettres (executable)

tde_add_executable( klettres AUTOMOC

  SOURCES
        fontsdlg.ui
        timerdlg.ui
        klettres.cpp
        klnewstuff.cpp
        main.cpp
        klettresview.cpp
        soundfactory.cpp
        timer.cpp
        prefs.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdenewstuff-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

install(
    FILES klettresui.rc
    DESTINATION ${DATA_INSTALL_DIR}/klettres
)

tde_create_translated_desktop( klettres.desktop )

install(
    FILES klettres.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

install(
    FILES klettresrc
    DESTINATION ${CONFIG_INSTALL_DIR}
)
